'''
Created on 2014. 5. 15.

@author: kaizen
'''
import unittest
import WizFi250SerialCmd
import serial
import time
import sys
import os


COM_PORT = 'com19'
BAUDRATE = 115200
SSID = 'WiznetKaizen'
PASSWORD = '12345678'

HOST = '1.11.202.83'
PORT = 10011

ONE_PACKET_SIZE = 100
PACKET_SEND_CNT = 1000


if( len(sys.argv) == 1 ):
    comP = COM_PORT
    baudR = BAUDRATE
else:
    #comP = sys.argv[1]
    #baudR = int(sys.argv[2])
    #SSID = sys.argv[3]
    #PASSWORD = sys.argv[4]
    #HOST = sys.argv[5]
    #PORT = int(sys.argv[6])


class WizFi250TcpClientTestRemote(unittest.TestCase):


    def test_wizfi250_tcp_client_remote_in_data_mode(self):

        wizfi_cmd = WizFi250SerialCmd.WizFi250SerialCmd(comP, baudR, 1)
        wizfi_cmd.Write_CMD("AT", "[OK]", "", "", 10)
        wizfi_cmd.Write_CMD("AT+WLEAVE", "[OK]","", "[ERROR]", 10)
        cmd_str = "AT+WSET=0," + SSID
        wizfi_cmd.Write_CMD(cmd_str, "[OK]", "", "[ERROR]", 10)
         
        cmd_str = "AT+WSEC=0,," + PASSWORD
        wizfi_cmd.Write_CMD(cmd_str, "[OK]", "", "[ERROR]", 10)
         
        wizfi_cmd.Write_CMD("AT+WNET=1", "[OK]", "", "[ERROR]", 10)
        wizfi_cmd.Write_CMD("AT+WJOIN", "[OK]", "", "[ERROR]", 10)


        for i in range(20):
            wizfi_cmd.tcp_connect(HOST, PORT, 1)
            time.sleep(0.1)
            
            if(wizfi_cmd.m_conn_status == True):
                print 'Data Send Start'
                buff_data = 'x'
                send_size = ONE_PACKET_SIZE
                for i in range(0,send_size):
                    wizfi_cmd.send_data_in_datamode(buff_data)
           
            time.sleep(0.1)
            wizfi_cmd.Write_CMD("+++", "", "", "", 10,0)
            time.sleep(1)
            wizfi_cmd.Write_CMD("AT+SMGMT=ALL", "[OK]", "", "", 10)
            time.sleep(0.1)


if __name__ == "__main__":
    #import sys;sys.argv = ['', 'Test.testName']
    unittest.main()